intutils.h File Reference

Miscellaneous utility classes for analysing the built-in integer types at compile time. More...

`#include "regina-core.h"`
`#include "regina-config.h"`
`#include <stdint.h>`

## Classes

struct | regina::IntOfSize< bytes >
| Gives access to k-byte integer types, where k is a constant that is not known until compile time. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Miscellaneous utility classes for analysing the built-in integer types at compile time.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).